# Generated by Django 5.1.4 on 2025-01-12 20:05

import django.core.validators
import django.db.models.deletion
import re
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='CookieGroup',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('varname', models.CharField(max_length=32, unique=True, validators=[django.core.validators.RegexValidator(re.compile('^[-_a-zA-Z0-9]+$'), "Enter a valid 'varname' consisting of letters, numbers, underscores or hyphens.", 'invalid')], verbose_name='Variable name')),
                ('name', models.CharField(blank=True, max_length=100, verbose_name='Name EN')),
                ('name_ar', models.CharField(max_length=250, verbose_name='Name AR')),
                ('description_en', models.TextField(blank=True, verbose_name='Description EN')),
                ('description_ar', models.TextField(blank=True, verbose_name='Description AR')),
                ('is_required', models.BooleanField(default=False, help_text='Are cookies in this group required.', verbose_name='Is required')),
                ('is_deletable', models.BooleanField(default=True, help_text='Can cookies in this group be deleted.', verbose_name='Is deletable?')),
                ('ordering', models.IntegerField(default=0, verbose_name='Ordering')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Created')),
            ],
            options={
                'verbose_name': 'Cookie Group',
                'verbose_name_plural': 'Cookie Groups',
                'ordering': ['ordering'],
            },
        ),
        migrations.CreateModel(
            name='CookiesBanner',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('active', models.BooleanField(default=False, verbose_name='Active')),
                ('logo', models.ImageField(upload_to='')),
                ('description_en', models.TextField(blank=True, verbose_name='Description EN')),
                ('description_ar', models.TextField(blank=True, verbose_name='Description AR')),
            ],
            options={
                'verbose_name': 'Cookies banner',
            },
        ),
        migrations.CreateModel(
            name='Cookie',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=250, verbose_name='Name EN')),
                ('name_ar', models.CharField(max_length=250, verbose_name='Name AR')),
                ('description_en', models.TextField(blank=True, verbose_name='Description EN')),
                ('description_ar', models.TextField(blank=True, verbose_name='Description AR')),
                ('path', models.TextField(blank=True, default='/', help_text='The url path of the cookies police', verbose_name='Path')),
                ('domain', models.CharField(blank=True, max_length=250, verbose_name='Domain')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Created')),
                ('cookiegroup', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='wagtail_cookies_consent.cookiegroup', verbose_name='Cookie Group')),
            ],
            options={
                'verbose_name': 'Cookie',
                'verbose_name_plural': 'Cookies',
                'ordering': ['-created'],
                'constraints': [models.UniqueConstraint(fields=('cookiegroup', 'name_ar', 'name', 'domain'), name='natural_key')],
            },
        ),
    ]
